﻿#
#Copyright (C) 2012 Laurent Tardif (laurent.tardif@persistentsas.com)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>

Feature: IQTOOLS_dump
	In order to know the status of a PC (or media)
	As a developper (or chemist)
	I want the list of key data (files,software,environement variables,...) of a server automatically generated in a HTML report

@SOFTWARE_SECTION
Scenario: IQTools software list B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config1.xml with Software informations asked
	And I have given an XML outputfile named file1.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 Softwares section
	And the resulting file should contain a Software section

@SOFTWARE_SECTION
Scenario: IQTools software list D-03350_AT-01636
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config1.xml with Software informations asked
	And I have given an XML outputfile named file_AT1336.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 Softwares section
	And the resulting file should contain a Software section
	And the resulting file should contain a software named 7-Zip 
	And the resulting file should contain a software named CCleaner
	And the resulting file should contain a software named CI helpers
	And the resulting file should contain a software named CollabNet
	And the resulting file should contain a software named ILMerge
	And the resulting file should contain a software named IQToolsSetup
	And the resulting file should contain a software named Java
	And the resulting file should contain a software named Microsoft FxCop
	And the resulting file should contain a software named Notepad
	And the resulting file should contain a software named SpecFlow
	And the resulting file should contain a software named VMware
	And the resulting file should contain a software named Windows Installer XML Toolset


@SOFTWARE_SECTION	 
Scenario: IQTools NO software list  B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config2.xml with no Software informations asked
	And I have given an XML outputfile named file2.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a Software section
	And the resulting file should not contain a Softwares section

	
@OPERATING_SYSTEM
Scenario: IQTools OPERATING_SYSTEM list B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config3.xml with OS informations asked
	And I have given an XML outputfile named file3.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 OperatingSystem section
	And the resulting file should contain only 1 OSArchitecture section
	And the resulting file should contain only 1 SystemDirectory section
	And the resulting file should contain only 1 ServicePackMajorVersion section
	And the resulting file should contain only 1 SerialNumber section
	And the resulting file should contain only 1 OSLanguage section
	And the resulting file should contain only 1 MUILanguages section
	And the resulting file should contain only 1 CountryCode section
	And the resulting file should contain only 1 Locale section
	And the resulting file should contain only 2 Version section
	And the resulting file should contain only 1 BuildNumber section

@OPERATING_SYSTEM	 
Scenario: IQTools NO OPERATING_SYSTEM list  B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config2.xml with no OS informations asked
	And I have given an XML outputfile named file4.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a OperatingSystem section


@services
Scenario: IQTools services list B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config4.xml with services informations asked
	And I have given an XML outputfile named file5.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 Services section
	And the resulting file should contain a Service section
	
@services	 
Scenario: IQTools NO services list  B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config2.xml with no OS informations asked
	And I have given an XML outputfile named file6.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a Services section	


@environment
Scenario: IQTools environment list B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config5.xml with environment informations asked
	And I have given an XML outputfile named file7.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 Environment section
	And the resulting file should contain a Variable section

	
@environment	 
Scenario: IQTools NO environment list  B-06464_AT-01509
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config2.xml with no OS informations asked
	And I have given an XML outputfile named file8.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a Environment section	


@hotfixes
Scenario: IQTools hotfixes list B-06535_AT-01568
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_hotfixes.xml with hotfixes informations asked
	And I have given an XML outputfile named file_hotfixes.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 hotfixes section
	And the resulting file should contain a hotfixe section

	
@hotfixes	 
Scenario: IQTools NO hotfixes list  B-06535_AT-01568
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_Nohotfixes.xml with no hotfixes informations asked
	And I have given an XML outputfile named file_nohotfixes.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a hotfixes section


@hardwares
Scenario: IQTools hardware_part1 list B-06537_AT-01573
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_hardware_part1.xml with hardware informations asked
	And I have provided a correct configuration file named conf\config_hardware_part1.xml with memory informations asked
	And I have provided a correct configuration file named conf\config_hardware_part1.xml with no cpu informations asked
	And I have provided a correct configuration file named conf\config_hardware_part1.xml with disks informations asked
	And I have given an XML outputfile named file_hardware_part1.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 hardware section
	And the resulting file should contain only 1 memory section
	And the resulting file should not contain a cpu section
	And the resulting file should contain only 1 disks section
	And the resulting file should contain a disk section

@hardwares
Scenario: IQTools hardware_part2 list B-06537_AT-01573
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_hardware_part2.xml with hardware informations asked
	And I have provided a correct configuration file named conf\config_hardware_part2.xml with no memory informations asked
	And I have provided a correct configuration file named conf\config_hardware_part2.xml with cpu informations asked
	And I have provided a correct configuration file named conf\config_hardware_part2.xml with no disks informations asked
	And I have given an XML outputfile named file_hardware_part2.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 hardware section
	And the resulting file should not contain a memory section
	And the resulting file should contain only 1 cpu section
	And the resulting file should not contain a disks section
	And the resulting file should not contain a disk section


@hardwares
Scenario: IQTools NO hardware list B-06537_AT-01573
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_Nohardware.xml with no hardware informations asked
	And I have given an XML outputfile named file_nohardware.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a hardware section


@serverID
Scenario: IQTools serverid_part1 list B-06540_AT-01571
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_serverid_part1.xml with serverid informations asked
	And I have given an XML outputfile named file_serverid_part1.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 serverId section
	And the resulting file should contain a name section
	And the resulting file should not contain a domain section

	@serverID
Scenario: IQTools serverid_part2 list B-06540_AT-01571
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_serverid_part2.xml with serverId informations asked
	And I have given an XML outputfile named file_serverid_part2.xml
	When I run the IQTOOLS script
	Then the resulting file should contain only 1 serverId section
	And the resulting file should not contain a name section
	And the resulting file should contain a domain section
	
@serverID	 
Scenario: IQTools NO serverid list  B-06540_AT-01571
	Given I have a server with powershell installed
	And I have provided a correct configuration file named conf\config_Noserverid.xml with no serverId informations asked
	And I have given an XML outputfile named file_noserverid.xml
	When I run the IQTOOLS script
	Then the resulting file should not contain a serverId section

